# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

# For details on this file, see the layout.conf section of the
# portage(5) man page.

# Allow specific PROPERTIES and RESTRICT values in ebuilds.
properties-allowed = interactive live test_network
restrict-allowed = binchecks bindist fetch installsources mirror preserve-libs splitdebug strip test userpriv

# manifest-hashes specify hashes used for new/updated entries
# the current set went live on 2017-11-21, per 2017-11-12 Council meeting
# https://archives.gentoo.org/gentoo-dev/message/ba2e5d9666ebd7e1bff1143485a37856
manifest-hashes = BLAKE2B SHA512

# The following hashes are required on all Manifest entries. If any
# of them are missing, repoman will refetch and rehash old distfiles.
# Otherwise, old distfiles will keep using their current hash set.
manifest-required-hashes = BLAKE2B

# 2013-04-09 gentoo's council says to deprecate EAPIs 1 and 2 (bug #470670).
# 2014-02-25 council meeting deprecated EAPIs 0 and 3.
# 2014-03-11 council meeting banned EAPIs 1 and 2.
# 2015-10-11 council meeting deprecated EAPI 4.
# 2016-01-10 council meeting banned EAPIs 0 and 3.
# 2018-04-08 council meeting banned EAPI 4.
# 2018-05-13 council meeting deprecated EAPI 5 for ebuilds.
# 2021-07-11 council meeting deprecated EAPI 6.
# 2021-08-08 council meeting banned EAPI 5.
eapis-banned = 0 1 2 3 4 5
eapis-deprecated = 6

# EAPIs 0 to 4 are banned for profiles
# EAPIs 6 and 7 do not include any profile related changes
profile-eapis-banned = 0 1 2 3 4 6 7
profile-eapis-deprecated =

# Bug #337853 - gentoo's council says to enable
# --echangelog by default for the "gentoo" repo
# INFRA NOTE 2015/08/08: No more old ChangeLogs in Git
update-changelog = false

# Make egencache generate newer (more reliable)
# md5-dict cache format (see bug #409445).
# NOTE: list md5-dict first so clients prefer it
# INFRA NOTE: Format 'pms' was removed on Aug 6 2012. (Announced prior as Aug 1
# 2012 was the removal date)
cache-formats = md5-dict

# Support for implicit masters is deprecated, so we need to explicitly
# specify that this repo does not depend on any masters, in order
# to distinguish it from repos that rely on the deprecated behavior.
masters =

# Use thin Manifests for Git
thin-manifests = false

# Sign Git commits, and NOT Manifests
sign-commits = false
sign-manifests = false
